# Recoll user manual
The main configuration file, recoll.conf

Sidebar | Prev | Up | Next

#### Miscellaneous parameters:

`autodiacsens`

  IF the index is not stripped, decide if we automatically trigger diacritics sensitivity if the search term has accented characters (not in `unac_except_trans`). Else you need to use the query language and the `D` modifier to specify diacritics sensitivity. Default is no.

`autocasesens`

  IF the index is not stripped, decide if we automatically trigger character case sensitivity if the search term has upper-case characters in any but the first position. Else you need to use the query language and the `C` modifier to specify character-case sensitivity. Default is yes.

`loglevel,daemloglevel`

  Verbosity level for recoll and recollindex. A value of 4 lists quite a lot of debug/information messages. 2 only lists errors. The `daem`version is specific to the indexing monitor daemon.

`logfilename, daemlogfilename`

  Where the messages should go. 'stderr' can be used as a special value, and is the default. The `daem`version is specific to the indexing monitor daemon.

`checkneedretryindexscript`

  This defines the name for a command executed by recollindex when starting indexing. If the exit status of the command is 0, recollindex retries to index all files which previously could not be indexed because of data extraction errors. The default value is a script which checks if any of the common `bin` directories have changed (indicating that a helper program may have been installed).

`mondelaypatterns`

  This allows specify wildcard path patterns (processed with fnmatch(3) with 0 flag), to match files which change too often and for which a delay should be observed before re-indexing. This is a space-separated list, each entry being a pattern and a time in seconds, separated by a colon. You can use double quotes if a path entry contains white space. Example:

      mondelaypatterns = *.log:20 "this one has spaces*:10"

`monixinterval`

  Minimum interval (seconds) for processing the indexing queue. The real time monitor does not process each event when it comes in, but will wait this time for the queue to accumulate to diminish overhead and in order to aggregate multiple events to the same file. Default 30 S.

`monauxinterval`

  Period (in seconds) at which the real time monitor will regenerate the auxiliary databases (spelling, stemming) if needed. The default is one hour.

`monioniceclass, monioniceclassdata`

  These allow defining the ionice class and data used by the indexer (default class 3, no data).

`filtermaxseconds`

  Maximum handler execution time, after which it is aborted. Some postscript programs just loop...

`filtermaxmbytes`

  Recoll 1.20.7 and later. Maximum handler memory utilisation. This uses setrlimit(RLIMIT_AS) on most systems (total virtual memory space size limit). Some programs may start with 500 MBytes of mapped shared libraries, so take this into account when choosing a value. The default is a liberal 2000MB.

`filtersdir`

  A directory to search for the external input handler scripts used to index some types of files. The value should not be changed, except if you want to modify one of the default scripts. The value can be redefined for any sub-directory.

`iconsdir`

  The name of the directory where recoll result list icons are stored. You can change this if you want different images.

`idxabsmlen`

  Recoll stores an abstract for each indexed file inside the database. The text can come from an actual 'abstract' section in the document or will just be the beginning of the document. It is stored in the index so that it can be displayed inside the result lists without decoding the original file. The `idxabsmlen` parameter defines the size of the stored abstract. The default value is 250 bytes. The search interface gives you the choice to display this stored text or a synthetic abstract built by extracting text around the search terms. If you always prefer the synthetic abstract, you can reduce this value and save a little space.

`idxmetastoredlen`

  Maximum stored length for metadata fields. This does not affect indexing (the whole field is processed anyway), just the amount of data stored in the index for the purpose of displaying fields inside result lists or previews. The default value is 150 bytes which may be too low if you have custom fields.

`aspellLanguage`

  Language definitions to use when creating the aspell dictionary. The value must match a set of aspell language definition files. You can type "aspell config" to see where these are installed (look for data-dir). The default if the variable is not set is to use your desktop national language environment to guess the value.

`noaspell`

  If this is set, the aspell dictionary generation is turned off. Useful for cases where you don't need the functionality or when it is unusable because aspell crashes during dictionary generation.

`mhmboxquirks`

  This allows definining location-related quirks for the mailbox handler. Currently only the `tbird` flag is defined, and it should be set for directories which hold Thunderbird data, as their folder format is weird. Example:

      [/path/to/my/mozilla/mail]
      mhmboxquirks = tbird

  It should be noted that later Recoll versions have improved automatic detection of Thunderbird folders, so that this should not be needed at all in most cases.

Prev | Up | Next
| Home |